org.apache.flume.node

## Class AbstractConfigurationProvider

- java.lang.Object
- - org.apache.flume.node.AbstractConfigurationProvider

- All Implemented Interfaces:
    ConfigurationProvider
  Direct Known Subclasses:
    AbstractZooKeeperConfigurationProvider, PropertiesFileConfigurationProvider

      public abstract class AbstractConfigurationProvider
      extends Object
      implements ConfigurationProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConfigurationProvider(String agentName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAgentName()`
    `MaterializedConfiguration` | `getConfiguration()`
    `protected abstract FlumeConfiguration` | `getFlumeConfiguration()`
    `protected Map<String,String>` | `toMap(Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConfigurationProvider

          public AbstractConfigurationProvider(String agentName)

  - ### Method Detail

    - #### getFlumeConfiguration

          protected abstract FlumeConfiguration getFlumeConfiguration()

    - #### getConfiguration

          public MaterializedConfiguration getConfiguration()

      Specified by:
        `getConfiguration` in interface `ConfigurationProvider`

    - #### getAgentName

          public String getAgentName()

    - #### toMap

          protected Map<String,String> toMap(Properties properties)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.